Lubuntu 10.04k_v7

Задаем вопросы по сборке
Аватара пользователя

adventurer
Супермодератор
Сообщения: 3215
Зарегистрирован: 15 июн 2011, 18:24

Re: Lubuntu 10.04k_v7

#31

Сообщение adventurer » 08 май 2012, 13:50

В меню Synaptic есть выбор версии: Пакет->Указать версию. Но у меня этот пункт почему-то неактивный.

Можно попробовать поискать нужные версии пакетов здесь:
http://packages.ubuntu.com/ru/


anyr
Сообщения: 33
Зарегистрирован: 08 май 2012, 13:31

Re: Lubuntu 10.04k_v7

#32

Сообщение anyr » 08 май 2012, 14:20

adventurer писал(а):В меню Synaptic есть выбор версии: Пакет->Указать версию. Но у меня этот пункт почему-то неактивный.
[\quote]
Видимо потому что нет другой версии.
adventurer писал(а): Можно попробовать поискать нужные версии пакетов здесь:
http://packages.ubuntu.com/ru/
Для lucid более свежей версии, чем та, что уже стоит (0.9.7) нет. На самом деле есть ppa для последнего pcmanfm (0.9.10), но при установке оттуда возникают проблемы повеселее, чем были до этого.

Попробую скачать образ этой сборки и добавить в менеджер пакетов. А вдруг прокатит. Только вот скорость скачивания удручает.

Аватара пользователя

adventurer
Супермодератор
Сообщения: 3215
Зарегистрирован: 15 июн 2011, 18:24

Re: Lubuntu 10.04k_v7

#33

Сообщение adventurer » 08 май 2012, 20:31

Вот, здесь что-то есть:
http://mirrors.dotsrc.org/ubuntu/pool/u ... p/pcmanfm/
или это как-раз не подходит?


anyr
Сообщения: 33
Зарегистрирован: 08 май 2012, 13:31

Re: Lubuntu 10.04k_v7

#34

Сообщение anyr » 08 май 2012, 23:01

В lucid есть как pcmanfm версии 0.5 так и pcmanfm2 версии 0.9.7 с соответствующими библиотеками libfm0 и libfm-gtk0. PPA с более свежим pcmanfm представляет пакет pcmanfm и предлагает удалить lubuntu-default-settings, pcmanfm2 и libfm0, libfm-gtk0 а вместо них установить libfm1 и libfm-gtk1.

Предыдущий опыт такого обновления кончился плачевно: навигация по каталогам в pcmanfm работала, но если открыть файл из pcmanfm в каком-нибудь связанном с данным mime приложением, он падал. Ну и рабочий стол также перестал отображать имеющиеся в соответствующем каталоге файлы.

Возможно дело было в отсутствии ссылок на pcmanfm2 и соответствующие библиотеки libfm. В данный момент pcmanfm2 ссылается на pcmanfm, а libfm*0 на libfm*so.0*:

Код: Выделить всё

$ ls -l /usr/bin | grep pcmanfm
-rwxr-xr-x 1 root   root       99488 2010-08-07 18:23 pcmanfm
lrwxrwxrwx 1 root   root           7 2012-05-07 08:47 pcmanfm2 -> pcmanfm

Код: Выделить всё

$ ls -l /usr/lib/ | grep libfm
drwxr-xr-x  2 root root     4096 2012-05-07 08:47 libfm
lrwxrwxrwx  1 root root       18 2012-05-07 08:47 libfm-gtk.so.0 -> libfm-gtk.so.0.0.0
-rw-r--r--  1 root root   251024 2010-08-03 00:10 libfm-gtk.so.0.0.0
lrwxrwxrwx  1 root root       14 2012-05-07 08:47 libfm.so.0 -> libfm.so.0.0.0
-rw-r--r--  1 root root   100620 2010-08-03 00:10 libfm.so.0.0.0
В пакетах с новым libfm ссылки будут на libfm*.so.1* Можно конечно попробовать потом руками создать ссылки типа libfm*.so.0* но не уверен, что только в этом дело.

Откатится на предыдущую версию в прошлый раз не получалось - apt-get постоянно ругался на нарушение зависимостей и не получалось их разрешить. Поэтому повторять подвиг при возможном существовании уже готового решения не очень хочется.

P.S.: К сожалению так и не скачал образ данной сборки из-за постоянных обрывов связи и отсутствия возможности докачки с фалообменника.

P.P.S.: Может у кого-то есть возможно выцепить необходимые пакеты с образа данной сборки и выложить на форум?


anyr
Сообщения: 33
Зарегистрирован: 08 май 2012, 13:31

Re: Lubuntu 10.04k_v7

#35

Сообщение anyr » 08 май 2012, 23:43

Попробовал все же под разным соусом - предлагаемый в ppa pcmanfm 0.9.10 не хочет работать в lucid. Даже вернув все обратно получил старые симптомы: pcmanfm постоянно падает. В консоли никаких ошибок, зато в .xsession-errors есть что-то не совсем понятное:

Код: Выделить всё

$ cat .xsession-errors | grep pcmanfm
(pcmanfm:1587): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",
(pcmanfm:1587): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.27.5/gobject/gsignal.c:2275: signal `query-info' is invalid for instance `0x94233b0'
** (pcmanfm:1587): DEBUG: unable to load icon . GThemedIcon application-x-trash gnome-mime-application-x-trash application-x-generic
(pcmanfm:1742): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",
(pcmanfm:1742): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.27.5/gobject/gsignal.c:2275: signal `query-info' is invalid for instance `0x8b9b5b0'